/**
 * Company Name : 中贸促信息技术有限责任公司
 * Project Name:memberManageSys
 * File Name:TranslateDataUtil.java
 * Package Name:ccpit.base.utils
 * Date:2015年11月11日下午1:29:54
 * Copyright (c) 2015, dingwei@ccpit.org All Rights Reserved.
 *
*/

package org.ccpit.base.utils;
/**
 * ClassName:TranslateDataUtil <br/>
 * Function: 类型数据转换工具类 <br/>
 * Reason:	 TODO ADD REASON. <br/>
 * Date:     2015年11月11日 下午1:29:54 <br/>
 * @author   dingwei
 * @version  
 * @since    JDK 1.6
 * @see 	 
 */
public class TranslateDataUtil {

	public static String translateData(String dataType, Integer num){
		String dataName = "";
		if("dataLevel".equals(dataType)){
			switch(num){
				case 1:
					dataName = "1级数据 ";	
					break;
				case 2 :
					dataName = "2级数据";
					break;
				case 3 :
					dataName = "3级数据";	
					break;
				case 4 :
					dataName = "4级数据";	
					break;
			}
		}
		if("activityType".equals(dataType)){  //活动类型
			switch(num){
				case 1:
					dataName = "国内活动 ";	
					break;
				case 2 :
					dataName = "出访活动";
					break;
				case 3 :
					dataName = "展览活动";	
					break;
			}
		}
		if("activityNature".equals(dataType)){  //活动性质
			switch(num){
				case 1:
					dataName = "高访活动 ";	
					break;
				case 2 :
					dataName = "专业委员会活动";
					break;
				case 3 :
					dataName = "展览会";	
					break;
				case 4 :
					dataName = "机制活动";	
					break;
				case 5 :
					dataName = "一般活动";	
					break;
				case 6 :
					dataName = "行业委员会";	
					break;
			}
		}
		if("memberStatus".equals(dataType)){  //活动性质
			switch(num){
				case 0:
					dataName = "待审会员 ";	
					break;
				case 1 :
					dataName = "会员";
					break;
				case 2 :
					dataName = "潜在会员";	
					break;
				case 3 :
					dataName = "审核未通过";	
					break;
			}
		}
		return dataName;
	}
}

